Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • DBI

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 1.10,1.13,1.15,1.17,1.21,1.22,1.26,1.3,1.45,1.52,1.7,1.8

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: GD::Graph, GD::Graph::Data, GD::Graph::Error, GD::Graph::area, GD::Graph::axestype, GD::Graph::bars, GD::Graph::colour, GD::Graph::hbars, GD::Graph::lines, GD::Graph::linespoints, GD::Graph::mixed, GD::Graph::pie, GD::Graph::points, GD::Graph::utils

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Data::Dumper
  • Test

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
GD::Graph Graph Plotting Module for Perl 5 1.52 metacpan
GD::Graph::Data Data set encapsulation for GD::Graph 1.22 metacpan
GD::Graph::Error Error handling for GD::Graph classes 1.8 metacpan
GD::Graph::area 1.17 metacpan
GD::Graph::axestype 1.45 metacpan
GD::Graph::bars 1.26 metacpan
GD::Graph::colour Colour manipulation routines for use with GD::Graph 1.10 metacpan
GD::Graph::hbars make bar graphs with horizontal bars 1.3 metacpan
GD::Graph::lines 1.15 metacpan
GD::Graph::linespoints 1.8 metacpan
GD::Graph::mixed 1.13 metacpan
GD::Graph::pie 1.21 metacpan
GD::Graph::points 1.13 metacpan
GD::Graph::utils 1.7 metacpan

Other Files

MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan